package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import lingtao.net.bean.QuoteData;

public interface QuoteDataMapper {

	List<QuoteData> quoteDatas(QuoteData quoteData);

	void updateById(QuoteData quoteData);

	void changeIsBuyToDay(@Param("id") Integer id);

	void changeIsBuy(@Param("id") Integer id);

	@Update("update tbl_quote_data set shopname = #{shopname},isSelect = 1,selectDate = now() where id = #{id}")
	void updateShopnameSelect(@Param("shopname") String shopname, @Param("id") Integer id);

	@Update("update tbl_quote_data set orderNumber = #{orderNumber} where id = #{id}")
	void addOrderNumber(@Param("id") Integer id, @Param("orderNumber") String orderNumber);

	void addQuoteData(QuoteData quoteData);

	List<String> getQuoteDataByMinutes(String username);

	List<String> getShopName(QuoteData quoteData);

	@Select("select distinct proTypeLabel from tbl_quote_data WHERE proTypeLabel IS NOT NULL")
	List<String> getProType();

	List<String> getRealnames(@Param("shopname") String shopname);
	
	QuoteData getEchartList(QuoteData quoteData);

	QuoteData getKefuEchartList(QuoteData quoteData);//客服大单流失列表
	
}
